Bug 216235 - HTS failed to run hts certify
HTS failed to run hts certify
Status: CLOSED NOTABUG
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2-tests (Show other bugs)
beta
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Will Woods
Will Woods
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 16:59 EST by Hien Nguyen
Modified: 2007-04-18 13:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 09:44:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/hts/plan.xml (1.67 KB, text/plain)
2006-11-17 16:59 EST, Hien Nguyen
no flags Details

  None (edit)
Description Hien Nguyen 2006-11-17 16:59:28 EST
Description of problem:
hts certify gives errors

Version-Release number of selected component (if applicable):
hts-5.0-9

How reproducible:

Steps to Reproduce:

  1- Install hts rpm and all necessiry rpms (dt, lmbench, stress)
  2- run "hts plan" to create /var/hts/plan.xml and config.xml
  3- run "hts verify" gives erors :

[root@smbhv4 ~]# hts certify

Traceback (most recent call last):

  File "/usr/bin/hts", line 105, in ?

    success = hts.do(args)

  File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 63, in do
    return self.doCertify()

  File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 206, in
doCertify
    plan.load(self.planFile)

  File "/usr/lib/python2.4/site-packages/hts/certificationtest.py", line 84,
in load
    self.document = parse(file)

  File "/usr/lib/python2.4/site-packages/_xmlplus/dom/minidom.py", line 1915,
in parse
    return expatbuilder.parse(file)

  File "/usr/lib/python2.4/site-packages/_xmlplus/dom/expatbuilder.py", line
930, in parse
    result = builder.parseFile(file)

  File "/usr/lib/python2.4/site-packages/_xmlplus/dom/expatbuilder.py", line
207, in parseFile
    parser.Parse(buffer, 0)

xml.parsers.expat.ExpatError: not well-formed (invalid token): line 5, column
23

======

Actual results:

Expected results:

 should start running tests

Additional info:

 one error of unloading iptables modules when install hts rpm:

[root@smbhv4 tmp]# rpm -ivh hts-5.0-9.noarch.rpm

Preparing...                ########################################### [100%]

   1:hts                    ########################################### [100%]

Flushing firewall rules: [  OK  ]

Setting chains to policy ACCEPT: filter [  OK  ]

Unloading iptables modules: [FAILED]

====

/var/hts/config.xml file:

  <?xml version="1.0" encoding="UTF-8" ?> 
- <certification-test discover-time="2006-11-18 03:13:51" hts-release="9" hts-
version="5.0">
- <hardware>
  <arch>ppc64</arch> 
  <model>IBM,9124-720</model> 
  <vendor /> 
  <make /> 
  </hardware>
- <certification>
- <os>
  <name>Tikanga</name> 
  <release>4.92</release> 
  </os>
  </certification>
  </certification-test>
Comment 1 Hien Nguyen 2006-11-17 16:59:28 EST
Created attachment 141540 [details]
/var/hts/plan.xml
Comment 2 Hien Nguyen 2006-11-17 17:04:14 EST
Please delete this bug .

after submitting bug# 216231, I 've seen "product name " is invalid, go back 
to enter the product name. Then I went back and submit the same bug again.

Note You need to log in before you can comment on or make changes to this bug.